Index: trunk/Mars/hawc/runranger.sh
===================================================================
--- trunk/Mars/hawc/runranger.sh	(revision 19800)
+++ trunk/Mars/hawc/runranger.sh	(revision 19801)
@@ -6,4 +6,5 @@
 TRAINRATIO=0.7
 
+# Classical reconstruction parameters
 TRUEVAR="log10(Energy)"
 #TRUEVAR="Phi*TMath::RadToDeg()"
@@ -11,4 +12,8 @@
 #TRUEVAR="MeanX*conv"
 #TRUEVAR="MeanY*conv"
+
+# Impact on ground
+#TRUEVAR="TMath::Hypot(X,Y)"
+#TRUEVAR="atan2(X,Y)*TMath::RadToDeg()"
 
 echo --------------------------------- Creating input files -------------------------
@@ -21,4 +26,5 @@
 auto-alias=MNewImagePar.f/
 auto-alias=MMcEvt.MMcEvtBasic.f/
+auto-alias=MCorsikaEvtHeader.f/
 
 # Some cuts to remove events with strange contents
@@ -60,4 +66,10 @@
 TimeSpreadWeighted = TimeSpreadWeighted
 SlopeSpredWeighted = SlopeSpreadWeighted
+
+# Be careful, this is true MC information
+#GroundR   = TMath::Hypot(X,Y)
+#GroundPhi = atan2(Y,X)
+#GroundX   = X
+#GroundYY  = Y
 EOF
 
@@ -70,5 +82,5 @@
 
 if [ $? != 0 ]; then
-  exit
+  exit 1
 fi
 
@@ -97,9 +109,10 @@
 ${NICE} ${CSV2ROOT} ${TEST} ${OUT}.root --force
 if [ $? != 0 ]; then
-  exit
+  exit 1
 fi
 
 ${NICE} ${CSV2ROOT} ${OUT}.prediction ${OUT}.root --update
 if [ $? != 0 ]; then
-  exit
+  exit 1
 fi
+
